# Даны два целых числа. Выведите значение наименьшего из них.

first_number = int(input('1st numbr:'))
second_number = int(input('2nd numbr:'))
if first_number > second_number:
    print(first_number)
elif first_number < second_number:
    print(second_number)
else:
    print('=')

print('------------------------------------------------------------')

#Заданы две клетки шахматной доски. Если они покрашены в один цвет, то выведите слово YES,
#а если в разные цвета — то NO. Программа получает на вход четыре числа от 1 до 8 каждое, задающие номер столбца
#и номер строки сначала для первой клетки, потом для второй клетки.

print('?')

print('------------------------------------------------------------')

#Если вводится температура в градусах по шкале Цельсия, то она переводится в температуру по шкале Фаренгейта.
#Или наоборот: температура по Фаренгейту переводится в температуру по Цельсию.

degrs = int(input('temp:'))
type = int(input('Если температура по шкале Цельсия, то введите 1, а если по шкале Фаренгейта, введите 2:'))
if type == 1:
    print(degrs * 1,8 + 32)
elif type == 2:
    print((degrs - 32) / 1,8 )
else:
    print('error')
#тут небольшая ошибка, но не могу понять из-за чего

print('------------------------------------------------------------')

#Из списка случайных чисел,определить и вывести на экран нечетные числа.

#random = int(input('введите числа:'))
#for num in range(random):
#    if num/2 == 0:
#        print(num)
print('?')

print('------------------------------------------------------------')

#Вводится целое число, обозначающее код символа по таблице ASCII. Определить, это код английской буквы или
# какой-либо иной символ.
ASCII = input('enter any sign:')
ASCII2 = ord(ASCII)
A = ord('A')
Z = ord('Z')
a = ord('a')
z = ord('z')
if A <= ASCII2 >= Z or a <= ASCII2 >= z:
    print('eng')
else:
    print('other')

print('------------------------------------------------------------')

#Вводятся два целых числа. Проверить делится ли первое на второе. Вывести на экран сообщение об этом, а также
#остаток (если он есть) и частное (в любом случае).
numbr1 = int(input('enter a number'))
numbr2 = int(input('enter a 2nd number'))
print(int(numbr1 / numbr2))
print(numbr1 % numbr2)

print('------------------------------------------------------------')

#Поочередно вводится 5 цифр, вывести их сумму(успользуя for)
'''
for x in range(5):
    a = int(input('enter a num'))
    sum = 0 + a                          #вот здесь ошибка, но не понимаю как исправить
print('сумма всех чисел - ', sum)
'''
print('?')

print('------------------------------------------------------------')

#Даны два целых числа A и В. Выведите все числа от A до B включительно, в порядке возрастания, если A < B, или в
#порядке убывания в противном случае.
A = int(input('enter number A'))
B = int(input('enter number B'))
if A < B:
    for x in range(A, B + 1):
        print(x)
elif A > B:
    for x in range(A, B - 1, -1):
        print(x)

print('------------------------------------------------------------')
#Циклом for вывести ромб

print('?')

print('------------------------------------------------------------')

#Посчитать сумму числового ряда от 0 до 14 включительно. Например, 0+1+2+3+…+14;

y = 0
for x in range(0, 14 + 1):
     y = x + y
print(y)

print('------------------------------------------------------------')

#Перемножить все чётные значения в диапазоне от 0 до 436
z = 1
for x in range(1, 436 + 1, 2):
    x = z * x
    z = x
print(x)

print('------------------------------------------------------------')

#Задается случайное вещественное число. Определить максимальную цифру этого числа.

print('?')     #я просто не знаю как разкладывать числа на цифры

print('------------------------------------------------------------')

q = 1
factr = int(input('введите число:'))
for x in range(1, factr + 1):
    x = q * x
    q = x
print(q)

print('------------------------------------------------------------')

#Используя вложенные циклы и функции print(‘*’, end=’’), print(‘ ‘, end=’’) и print() выведите на экран прямоугольный треугольник.

print('?')

print('------------------------------------------------------------')

#Пользователь делает вклад в размере N $ сроком на years лет под 11.5% годовых (каждый год размер его вклада
#увеличивается на 11.5%. Эти деньги прибавляются к сумме вклада, и на них в следующем году тоже будут проценты).
#Написать программу , где пользователь вводит аргументы a и years, и посчитать сумму, которая будет на счету
#пользователя через years лет.

money = int(input('введите количество денег:'))
years = int(input('Введите количество лет:'))
PROC = 11.5
while years > 0:
    money = money * PROC
    years = years - 1
print('все деньги:', money)

print('------------------------------------------------------------')

#Пользователь вводит год. Определить он высокосный или нет.

year = int(input('введите год:'))
if year % 4 == 0:
    print('он высокосный')
else:
    print('он невысокосный')

print('------------------------------------------------------------')

#Напишите программу, которая запрашивает три целых числа a, b и x и выводит True, если x лежит между a и b, иначе
#– False.

a = int(input('enter number a:'))
b = int(input('enter number b:'))
x = int(input('enter number x:'))
if a < x < b:
    print('True')
else:
    print('False')

print('------------------------------------------------------------')

#Даны четыре действительных числа: x1, y1, x2, y2. вычислите расстояние между точкой (x1,y1) и (x2,y2). Считайте
#четыре действительных числа и выведите результат работы этой функции.

x1 = int(input('enter number x1:'))
y1 = int(input('enter number y1:'))
x2 = int(input('enter number x2:'))
y2 = int(input('enter number y2:'))

e = ((x2 - x1) ** 2 + (y2 - y1) ** 2) ** 0.5    #я это сделал лишь по формуле за 9 класс, а так я не знаю
print(e)